## lustre 1.6.0.1

=== build/Makefile ===
#
# There are three ways this Makefile can be called:
#
# 
# 1.  As a subdirectory from the toplevel, for automake
#
# 2.  A wrapper around the kernel's makefile when building modules, to
#     possibly override the .config file
#
# 3.  At configure time, as the toplevel module dir for building
#     kernel tests
#

ifeq ($(PATCHLEVEL),)

ifeq ($(LUSTRE_LINUX_CONFIG),)

# case #1
include autoMakefile

else

# case #2
# Note that this comes from make -C $LINUX -f $LUSTRE/build/Makefile
# So the include Makefile includes $LINUX/Makefile, not this file
include $(LUSTRE_LINUX_CONFIG)
include Makefile

endif # LUSTRE_LINUX_CONFIG

else # PATCHLEVEL

# case 3

ifneq ($(LUSTRE_KERNEL_TEST),)
ifeq ($(PATCHLEVEL),4)
all: $(LUSTRE_KERNEL_TEST)
else
extra-y = $(LUSTRE_KERNEL_TEST)
endif
endif

obj-m := conftest.o

ifeq ($(PATCHLEVEL),4)
include $(TOPDIR)/Rules.make
endif

endif # PATCHLEVEL

## lustre 1.6.4.2

=== ldiskfs/build/Makefile ===
#
# There are four ways this Makefile can be called:
#
# 
# 1.  As a subdirectory from the toplevel, for automake
#
# 2.  A wrapper around the kernel's makefile when building modules, to
#     possibly override the .config file
#
# 3.  At configure time, as the toplevel module dir for building
#     kernel tests
#
# 4.  At configure time, to determine the kernel's idea of $(ARCH)
#

ifeq ($(PATCHLEVEL),)

ifeq ($(LUSTRE_LINUX_CONFIG),)

# case #1
include autoMakefile

else

# case #2
# Note that this comes from make -C $LINUX -f $LUSTRE/build/Makefile
# so "include Makefile" below includes $LINUX/Makefile, not this file
include $(LUSTRE_LINUX_CONFIG)
include Makefile

endif # LUSTRE_LINUX_CONFIG

else # PATCHLEVEL

# case 3

ifneq ($(LUSTRE_KERNEL_TEST),)
ifeq ($(PATCHLEVEL),4)
all: $(LUSTRE_KERNEL_TEST)
else
extra-y = $(LUSTRE_KERNEL_TEST)
endif
endif

obj-m := conftest.o

ifeq ($(PATCHLEVEL),4)
include $(TOPDIR)/Rules.make
endif

endif # PATCHLEVEL

# case 4

echoarch:
	echo $(ARCH) >$(ARCHFILE)

## lustre 1.8.5+dfsg

=== debian/changelog ===
lustre (1.8.5+dfsg-3.1ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/ldadd_for_loadgen.patch: Correctly link against
      libreadline. Fixes FTBFS.
    - debian/patches/umode_fix.patch: Fix FTBFS due to removed umode_t
      definition.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 19 Mar 2013 16:58:20 -0400

lustre (1.8.5+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Build-depend on automake1.10 instead of 1.7 (Closes: #665485).
  * debian/patches/automake1.10.patch:
    - Cherry-pick patch from upstream VCS to enable build with more
      recent automake versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 03 Aug 2012 22:17:39 +0200

lustre (1.8.5+dfsg-3ubuntu2) quantal; urgency=low

  * umode_fix.patch: fix ftbfs due to removed umode_t definition

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 06 Oct 2012 15:28:53 +0200

lustre (1.8.5+dfsg-3ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #913526).  Remaining changes:
    - Add ldadd_for_loadgen.patch (updated) to correctly link against
      libreadline. Fixes FTBFS. 
  * Drop changes:
    - 615749_no_add_needed.dpatch now in debian
    - Fix a bashism in lustre/liblustre/genlib.sh now in debian
    - debian/rules: link against -lpthread to fix FTBFS no more needed

 -- Leo Iannacone <l3on@ubuntu.com>  Sun, 08 Jan 2012 20:25:29 +0100

lustre (1.8.5+dfsg-3) unstable; urgency=low

  * [9194f2d] Build ldiskfs kernel module also on plain 
    debian kernel (2.6.32)
  * [897600b] move modifcations from .diff.gz to 
    modified-debian-specific-stuff.patch (Closes: #643209)
  * [5dbe9c8] Don't depend anymore on automake1.7 (Closes: #648585)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 16 Nov 2011 13:36:11 +0100

lustre (1.8.5+dfsg-2) unstable; urgency=low

  * [2362539] the lib should be installed in /usr/lib/lustre-1.8 
    and not in lustre-1.6
  * [d7b87bd] Add -Wl,--no-add-needed as linkerflags to debian/rules
  * [0517031] Add a patch for building with 
    -Wl,--no-add-needed (Closes: #615749)
  * [14e5cc4] lustre is since a long time maintained in a git vcs...
  * [a66324e] Bump standards version to 3.9.1 - no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Thu, 17 Mar 2011 11:56:54 +0100

lustre (1.8.5+dfsg-1) unstable; urgency=low

  * [b396782] Imported Upstream version 1.8.5+dfsg
  * [fff132c] Move to 3.0 (quilt)
  * [dad99d6] Add a series file
  * [51aa515] Comment out two patches which doesn't apply with quilt
    currently
  * [2af3035] Refresh all patches using quilt refresh
  * [c8394bc] Remove dpatch from build-depends, we're using only quilt
    now
  * [50c03e5] Fix a lintian warnings concerning the manpage of lctl and
    lustre
  * [53e15ec] Remove unused lintian overrides
  * [629cb8f] Merge fix-lustre-manpage.patch and lustre_manpages.patch
  * [0542c74] cleaned up debian/patches/ - removed unused stuff
  * [5758022] Install all new manpages into the packages
  * [2e982eb] Removed unused overrides
  * [e890c68] Fix some more lintian warnings and errors in the lustre
    packages
  * [4d5e398] Fix some more lintian warnings
  * [4fe0a09] Updated changelog entry for 1.8.5-1
  * [f5d142f] Remove mark_rodata_ro and mark_rodata_rw from cacheflush.h

 -- Patrick Winnertz <winnie@debian.org>  Fri, 17 Dec 2010 13:26:08 +0100

lustre (1.8.4-1) unstable; urgency=low

  * [f4955cc] Remove .gitignore file to prevent conflicts with lustre-
    git
  * [bff2c31] Imported Upstream version 1.8.4~git20100804
  * [5b0ed6a] Add changelog entry for 1.8.4
  * [df980ba] Remove autogen.sh patch
  * [83b26d5] Remove manpage fix
  * [75375cb] Remove typecasts patch as it doesn't apply
  * [94ce62e] Remove another patch which doesn't apply
  * [d0dc2eb] Add a small patch to prevent version_tag.pl from failing
  * [72e426e] Remove -Werror from gcc arguments
  * [9cf2a66] Imported Upstream version 1.8.4

 -- Patrick Winnertz <winnie@debian.org>  Thu, 19 Aug 2010 10:05:29 +0200

lustre (1.8.3-4ubuntu2) oneiric; urgency=low

  * Add ldadd_for_loadgen.dpatch to correctly link against
    libreadline. Fixes FTBFS. (LP: #770758)
  * Backport 615749_no_add_needed.dpatch from 1.8.5+dfsg-2 to
    correctly link against libpthread. Fixes FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 12 Sep 2011 20:58:38 -0400

lustre (1.8.3-4ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Fix a bashism in lustre/liblustre/genlib.sh
    - Build lustre without stack protector as the linker is called with
      -nostdlib.
  * link against -lpthread to fix FTBFS  

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 Nov 2010 11:25:22 +0530

lustre (1.8.3-4) unstable; urgency=low

  * [98ac0eb] Fix a small typo in the control file (Closes: #587201)
  * [5dad88e] Using /bin/bash as interpreter for lnet-selftest 
    (Closes: #581121)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 29 Jul 2010 11:27:56 +0200

lustre (1.8.3-3) unstable; urgency=low

  * [015b186] Fixed typo in bug15587 patch: SECURUTY --> SECURITY
  * [3f28bcb] Add a suggest to ofa-kernel-source and link against a ofa-
    kernel-headers dir if available
  * [912f1ee] Add a ugly hack to recommend ofa-kernel-modules if they
    should exist (if lustre is linked against it)
  * [5d01075] Install mkfs.lustre into /sbin instead of /usr/sbin
    (Closes: #589230)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 28 Jul 2010 12:24:21 +0200

lustre (1.8.3-2ubuntu1) maverick; urgency=low

  * Fix a bashism in lustre/liblustre/genlib.sh
  * Build lustre without stack protector as the linker is called with
    -nostdlib.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 26 Jun 2010 00:02:43 +0200

lustre (1.8.3-2) unstable; urgency=low

  * [df329e4] Add bug15587_security.capability_xattr.dpatch
  * [f274fcb] Fix some lintian warnings/issues

 -- Patrick Winnertz <winnie@debian.org>  Wed, 02 Jun 2010 12:24:23 +0200

lustre (1.8.3-1) unstable; urgency=low



=== debian/control ===
Source: lustre
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Lustre Packaging team <pkg-lustre-maintainers@lists.alioth.debian.org>
Uploaders: Patrick Winnertz <winnie@debian.org>, Noèl Köthe <noel@debian.org>
Standards-Version: 3.9.1
Build-Depends: libreadline-dev, debhelper (>=6.0.7), dh-kpatches (>= 0.99.3), lyx, automake1.10, libsnmp-dev, bzip2, texlive-extra-utils, quilt, texlive-latex-recommended, libncurses-dev
Homepage: http://www.lustre.org/
Vcs-Git: git://git.lustre.org/prime/lustre.git

Package: linux-patch-lustre
Section: kernel
Architecture: all
Depends: ${kpatch:Depends}, ${misc:Depends}
Recommends: kernel-package, quilt
Description: Linux kernel patch for the Lustre Filesystem
 Lustre is a scalable, secure, robust, highly-available 
 cluster file system. It is maintained by Cluster Filesystems, Inc.
 and available from http://www.lustre.org
 .
 Lustre servers require a number of patches to the core Linux kernel,
 mostly to export new functions, add features to ext3, and add 
 a new locking path to the VFS. This package provides these patches
 for kernel versions 2.6.18, 2.6.21 and 2.6.22 on i386, amd64, powerpc 
 and ia64 architectures.
 .
 For Lustre clients, you will also need to build a lustre-modules
 package, using the lustre-source package and module-assistant.
 
Package: lustre-source
Section: kernel
Architecture: all
Depends: module-assistant, bzip2, debhelper (>= 5.0.0), libsnmp-dev, dpatch, ${misc:Depends}
Suggests: ofa-kernel-source
Description: source for Lustre filesystem client kernel modules
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package contains the module source. The client kernel modules 
 can be built from it using module-assistant or make-kpkg.

Package: lustre-utils
Section: utils
Architecture: i386 powerpc amd64 ia64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Userspace utilities for the Lustre filesystem
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package provides a number of userspace utilities for 
 maintaining Lustre filesystems.

Package: lustre-tests
Architecture: i386 powerpc amd64 ia64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test suite for the Lustre filesystem
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package provides a number of test utilities for the Lustre filesystem.

Package: liblustre
Architecture: i386 powerpc amd64 ia64
Section: otherosfs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Runtime library for Lustre filesystem utilities
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available
 from http://www.lustre.org
 .
 This package provides a shared library that is used by userspace 
 applications to  work with Lustre filesystems. It gives a user application
 linked with the library access to Lustre
 file systems without the need to mount Lustre (VFS) on the client. 
 The key goals for the library are to provide a portable mechanism to 
 access Lustre from different POSIX compliant operating systems, to provide 
 access from microkernel based systems and from the Windows operating system.
 .
 Currently, liblustre is still under development and only works on Linux 
 (i386 & amd64, not tested on ia64).
 .
 Please see http://wiki.lustre.org/index.php/LibLustre_How-To_Guide for details.

Package: lustre-dev
Section: libdevel
Architecture: i386 powerpc amd64 ia64
Depends: lustre-utils (= ${binary:Version}), ${misc:Depends}
Description: Development files for the Lustre filesystem
 Lustre is a scalable, secure, robust, highly-available cluster file system.
 It is maintained by Cluster Filesystems, Inc. and available from 
 http://www.lustre.org
 .
 This package provides development libraries for the Lustre filesystem.

=== debian/rules ===
#!/usr/bin/make -f
#
# Created 2006 by Alastair McKinstry, <alastair.mckinstry@ichec.ie>, <mckinstry@debian.org>
# Modified 2007 by Patrick Winnertz <patrick.winnertz@skolelinux.org>
# 
# Copying and modification is unlimited, provided that the modified
# version is marked as being modified.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_BUILD_GNU_CPU = $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

CFLAGS = -Wall -g
LDFLAGS = -Wl,--no-add-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O0
else
        CFLAGS += -O2
endif

# Module-assistant stuff
PACKAGE=lustre-modules
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make

ARCH=$(shell dpkg --print-architecture)
TOP_DIR:=$(shell pwd)

# Lustre version to use
VERSION=`cat $(TOP_DIR)/debian/lustre-version`
SUPPORTED_KERNELS=2.6.18 2.6.22 2.6.24 2.6.26 2.6.27
UPVERSION=`head -n1 $(TOP_DIR)/debian/changelog | awk '{print $$2}' | sed -e 's%[()]%%g'`
OFA_KERNEL=`if [ -d /usr/src/ofa-kernel-headers-$(KVERS) ]; then \
    echo "--with-o2ib=/usr/src/ofa-kernel-headers-$(KVERS)"; \
else \
    echo ""; \
fi`


# Packages
PATCH_PKG=linux-patch-lustre
UTILS_PKG=lustre-utils
TESTS_PKG=lustre-tests
DEV_PKG=lustre-dev
LIB_PKG=liblustre
SOURCE_PKG=lustre-source

#Build dir
BUILDDIR=debian/build

autogen: autogen-stamp
autogen-stamp: patch-stamp
	cp /usr/share/misc/config.sub config.sub
	cp /usr/share/misc/config.sub libsysio/config.sub
	cp /usr/share/misc/config.sub ldiskfs/config.sub
	cp /usr/share/misc/config.guess config.guess
	cp /usr/share/misc/config.guess libsysio/config.guess
	cp /usr/share/misc/config.guess ldiskfs/config.guess
	sh ./autogen.sh
	touch $@

configure: configure-stamp
configure-stamp: autogen-stamp debian/control
	dh_testdir
	# touch files to same date, to avoid auto*
	find . -type f -exec touch -r COPYING {} \;
	mkdir -p $(BUILDDIR)/build $(BUILDDIR)/lustre/contrib $(BUILDDIR)/libsysio
	cp build/Makefile $(BUILDDIR)/build/
	cp lustre/contrib/mpich-*.patch $(BUILDDIR)/lustre/contrib/
	ln -s ../../../libsysio/include $(BUILDDIR)/libsysio/
	( cd $(BUILDDIR) && \
	 export TOP_DIR=$(TOP_DIR); ../../configure --disable-dependency-tracking \
		   --disable-modules \
		   --enable-snmp \
		   --disable-client \
		   --enable-quota \
		   --disable-server )
	# Correct tex2pdf mode.
	chmod 744 lustre/doc/tex2pdf
	touch $@

build-arch build-indep: build

build: build-stamp
build-stamp: patch-stamp configure-stamp
	dh_testdir
	$(MAKE) -C $(BUILDDIR)
	# The .pdf's don't get automatically built, so
	#HOME=$(TOP_DIR)/debian/build/lustre/doc $(MAKE) -C $(BUILDDIR)/lustre/doc lconf.pdf  lctl.pdf  lfs.pdf  lmc.pdf
	## FIXME: $(BUILDDIR) isn't used
	# mv lustre/doc/lconf.pdf lustre/doc/lctl.pdf lustre/doc/lfs.pdf lustre/doc/lmc.pdf $(BUILDDIR)/lustre/doc
	$(MAKE) -C $(BUILDDIR) DESTDIR=$(TOP_DIR)/debian/tmp install
	touch $@

binary-arch: binary-$(UTILS_PKG) binary-$(TESTS_PKG) binary-$(DEV_PKG) binary-$(LIB_PKG) 

binary-indep: binary-$(PATCH_PKG) binary-$(SOURCE_PKG)

binary: binary-indep binary-arch

binary-$(PATCH_PKG): patch-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(PATCH_PKG)
	dh_installdocs -p $(PATCH_PKG)
#	dh_installkpatches -p $(PATCH_PKG)
	dh_install -p $(PATCH_PKG)

	# Install apply script
	cp $(TOP_DIR)/debian/linux-patch-lustre.apply $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/apply
	chmod a+x $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/apply
	set -e; for KERNEL in $(SUPPORTED_KERNELS); do \
	  mkdir -p $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/apply/; \
	  ln -s ../../../lustre/scripts/apply $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/apply/lustre; \
	done

	# Install unpatch script
	cp $(TOP_DIR)/debian/linux-patch-lustre.unpatch $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/unpatch
	chmod a+x $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/scripts/unpatch
	set -e; for KERNEL in $(SUPPORTED_KERNELS); do \
	  mkdir -p $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/unpatch/; \
	  ln -s ../../../lustre/scripts/unpatch $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/all/$$KERNEL/unpatch/lustre; \
	done

	# Install series
	cp lustre/kernel_patches/series/* $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/series/

	# Install patches
	cp lustre/kernel_patches/patches/* $(TOP_DIR)/debian/$(PATCH_PKG)/usr/src/kernel-patches/lustre/patches/

	dh_installchangelogs -p $(PATCH_PKG) lustre/ChangeLog
	dh_compress -p $(PATCH_PKG)
	dh_installdeb -p $(PATCH_PKG)
	dh_fixperms -p $(PATCH_PKG)
	dh_gencontrol -p $(PATCH_PKG)
	dh_md5sums -p $(PATCH_PKG)
	dh_builddeb -p $(PATCH_PKG)

binary-$(UTILS_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(UTILS_PKG)
	dh_installdocs -p  $(UTILS_PKG)
	dh_installman -p $(UTILS_PKG)
	dh_install -p $(UTILS_PKG)
	#Removing not needed shell scripts from utils pkg.
	rm -f debian/$(UTILS_PKG)/usr/bin/config.sh  debian/$(UTILS_PKG)/usr/bin/gather_stats_everywhere.sh debian/$(UTILS_PKG)/usr/bin/lstats.sh
	dh_makeshlibs -p $(UTILS_PKG)
	dh_shlibdeps -L $(LIB_PKG) -l debian/$(LIB_PKG)/usr/lib
	dh_installexamples -p $(UTILS_PKG)
	dh_installchangelogs -p $(UTILS_PKG) lustre/ChangeLog
	dh_compress -p $(UTILS_PKG)
	dh_lintian -p $(UTILS_PKG)
	dh_strip -p $(UTILS_PKG)
	dh_installdeb -p $(UTILS_PKG)
	dh_fixperms -p $(UTILS_PKG)
	dh_gencontrol -p $(UTILS_PKG)
	dh_md5sums -p $(UTILS_PKG)
	dh_builddeb -p $(UTILS_PKG)

binary-$(TESTS_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(TESTS_PKG)
	dh_installdocs -p  $(TESTS_PKG)
	dh_installman -p $(TESTS_PKG)
	dh_install -p $(TESTS_PKG)
	#removing ncli.sh as it is not needed 
	rm -f debian/$(TESTS_PKG)/usr/lib/lustre/tests/cfg/ncli.sh 
	dh_makeshlibs -p $(TESTS_PKG)
	dh_shlibdeps -L $(LIB_PKG) -l debian/$(LIB_PKG)/usr/lib
	dh_installexamples -p $(TESTS_PKG)
	dh_installchangelogs -p $(TESTS_PKG) lustre/ChangeLog
	dh_compress -p $(TESTS_PKG)
	dh_lintian -p $(TESTS_PKG)
	dh_strip -p $(TESTS_PKG)
	dh_installdeb -p $(TESTS_PKG)
	dh_fixperms -p $(TESTS_PKG)
	dh_gencontrol -p $(TESTS_PKG)
	dh_md5sums -p $(TESTS_PKG)
	dh_builddeb -p $(TESTS_PKG)

binary-$(DEV_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(DEV_PKG)
	dh_install -p $(DEV_PKG)
	dh_installdocs -p $(DEV_PKG)
	dh_installchangelogs -p $(DEV_PKG) lustre/ChangeLog
	dh_compress -p $(DEV_PKG)
	dh_installdeb -p $(DEV_PKG)
	dh_fixperms -p $(DEV_PKG)
	dh_gencontrol -p $(DEV_PKG)
	dh_md5sums -p $(DEV_PKG)
	dh_builddeb -p $(DEV_PKG)

binary-$(LIB_PKG): build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs -p $(LIB_PKG)
	dh_installdocs -p $(LIB_PKG)
	dh_install -p $(LIB_PKG)
	dh_makeshlibs -p $(LIB_PKG)
	dh_shlibdeps -L $(LIB_PKG) -l debian/$(LIB_PKG)/usr/lib
	dh_installchangelogs -p $(LIB_PKG) lustre/ChangeLog
	dh_compress -p $(LIB_PKG)
	dh_installdeb -p $(LIB_PKG)
	dh_lintian -p $(LIB_PKG)
	dh_strip -p $(LIB_PKG)
	dh_fixperms -p $(LIB_PKG)
	dh_gencontrol -p $(LIB_PKG)
	dh_md5sums -p $(LIB_PKG)
	dh_builddeb -p $(LIB_PKG)

binary-$(SOURCE_PKG): build-stamp
	dh_testdir 
	dh_testroot
	# Copy everything 
	dh_installdirs -p $(SOURCE_PKG) usr/src/modules/lustre/debian
	tar -chf - . --exclude='debian/$(SOURCE_PKG)/*' | \
	 ( cd debian/$(SOURCE_PKG)/usr/src/modules/lustre && \
	  	   tar xf - )
	# clean up dest
	rm -rf debian/$(SOURCE_PKG)/usr/src/modules/lustre/debian/patched \
	       debian/$(SOURCE_PKG)/usr/src/modules/lustre/debian/patches/* 
	$(MAKE) -C debian/$(SOURCE_PKG)/usr/src/modules/lustre -f debian/rules clean
	# Create the module-source tarball.
	echo $(UPVERSION) > debian/$(SOURCE_PKG)/usr/src/modules/lustre/debian/lustre-version
	cd debian/$(SOURCE_PKG)/usr/src && tar jcf lustre.tar.bz2 modules 
	rm -rf debian/$(SOURCE_PKG)/usr/src/modules
	dh_install -p$(SOURCE_PKG)
